Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.encryption
Class XMLCipherInput

    java.lang.Object
      org.apache.xml.security.encryption.XMLCipherInput

    public class XMLCipherInput

extends java.lang.Object

`XMLCipherInput` is used to wrap input passed into the XMLCipher encryption operations. In decryption mode, it takes a `CipherData` object and allows callers to dereference the CipherData into the encrypted bytes that it actually represents. This takes care of all base64 encoding etc. While primarily an internal class, this can be used by applications to quickly and easily retrieve the encrypted bytes from an EncryptedType object

Author:
  Berin Lautenbach

Constructor Summary
`XMLCipherInput(CipherData data)` Constructor for processing encrypted octets
`XMLCipherInput(EncryptedType input)` Constructor for processing encrypted octets

Method Summary
`byte[]` | `getBytes()` Dereferences the input and returns it as a single byte array.
`void` | `setSecureValidation(boolean secureValidation)` Set whether secure validation is enabled or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLCipherInput

    public XMLCipherInput(CipherData data)
                   throws XMLEncryptionException

  Constructor for processing encrypted octets

  Parameters:
    `data` - The `CipherData` object to read the bytes from
  Throws:
    `XMLEncryptionException` - `XMLEncryptionException`

### XMLCipherInput

    public XMLCipherInput(EncryptedType input)
                   throws XMLEncryptionException

  Constructor for processing encrypted octets

  Parameters:
    `input` - The `EncryptedType` object to read the bytes from.
  Throws:
    `XMLEncryptionException` - `XMLEncryptionException`

Method Detail

### setSecureValidation

    public void setSecureValidation(boolean secureValidation)

  Set whether secure validation is enabled or not. The default is false.

### getBytes

    public byte[] getBytes()
                    throws XMLEncryptionException

  Dereferences the input and returns it as a single byte array.

  Returns:
    The decripted bytes.
  Throws:
    `XMLEncryptionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD